**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/21.1/documents/retrieve-document-fields/retrieve-common-document-fields.md

# Retrieve Common Document Fields



Retrieve all document fields and field properties which are common to (shared by) a specified set of documents. This allows you to determine which document fields are eligible for bulk update.

Learn about [Shared Fields](https://platform.veevavault.help/en/lr/4884) in Vault Help.

<Endpoint path="/api/{version}/metadata/objects/documents/properties/find_common" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `docIds` | Input a comma-separated list of document `id` field values. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "docIds=101,102,103" \
https://myvault.veevavault.com/api/v15.0/metadata/objects/documents/properties/find_common

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
    {
      "name": "submission_date__c",
      "scope": "DocumentVersion",
      "type": "Date",
      "required": false,
      "repeating": false,
      "systemAttribute": false,
      "editable": true,
      "setOnCreateOnly": false,
      "disabled": false,
      "label": "Submission Date",
      "section": "submissionDetails",
      "sectionPosition": 3,
      "hidden": false,
      "queryable": true,
      "shared": true,
      "usedIn": [
        {
          "key": "promotional_piece__c",
          "type": "type"
        },
        {
          "key": "compliance_package__v",
          "type": "type"
        },
        {
          "key": "claim__c",
          "type": "type"
        }
      ]
    }
    {
      "name": "withdrawal_effective_date__c",
      "scope": "DocumentVersion",
      "type": "Date",
      "required": false,
      "repeating": false,
      "systemAttribute": false,
      "editable": true,
      "setOnCreateOnly": false,
      "disabled": false,
      "label": "Withdrawal Effective Date",
      "section": "pieceDetails",
      "sectionPosition": 17,
      "hidden": false,
      "queryable": true,
      "shared": false,
      "definedInType": "type",
      "definedIn": "promotional_piece__c"
    }

```
</CodeExample>

## Response Details {#response-details}

The response includes all fields shared by the three documents (`docIds=101,102,103`).

Vault allows you to reuse fields across multiple document types by creating shared fields, which exist outside the context of a document type. You can create shared fields or convert existing fields into shared fields in the Vault Admin application. If a shared field is only used in one document type, you can also convert it to a non-shared field. All document fields, except for `noCopy`, include the Boolean `shared` document field. A value of `true` indicates which the field is shared and the following additional fields are included:

Note the following field metadata:



---

**Previous:** [Retrieve All Document Fields](/quality/vault-api/api-reference/21.1/documents/retrieve-document-fields/retrieve-all-document-fields)  
**Next:** [Retrieve Document Types](/quality/vault-api/api-reference/21.1/documents/retrieve-document-types)